% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kaefa.R
\name{aefaResults}
\alias{aefaResults}
\title{summarise AEFA results}
\usage{
aefaResults(mirtModel, rotate = NULL, suppress = 0,
  which.inspect = NULL, printRawCoefs = F, simplifyRawCoefs = T,
  returnModel = F)
}
\arguments{
\item{mirtModel}{estimated aefa model}

\item{rotate}{rotation method. Default is NULL, kaefa will be automatically select the rotation criteria using aefa calibrated model.}

\item{suppress}{cutoff of rotated coefs. Generally .30 is appropriate but .10 will be good in practically}

\item{which.inspect}{which you are want to inspect of a calibration trial? If NULL, the last model will return.}

\item{printRawCoefs}{print the raw IRT coefs.}

\item{simplifyRawCoefs}{print the simplified raw IRT coefs if available when printRawCoefs = TRUE.}

\item{returnModel}{return converted MIRT model. default is FALSE}
}
\value{
summary of aefa results
}
\description{
summarise AEFA results
}
\examples{
\dontrun{
testMod1 <- aefa(mirt::Science, minExtraction = 1, maxExtraction = 2)
aefaResults(testMod1)
}
}
