% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kaefa.R
\name{evaluateItemFit}
\alias{evaluateItemFit}
\title{assessment of fit indices of the calibrated model}
\usage{
evaluateItemFit(mirtModel, RemoteClusters = NULL, rotate = "bifactorQ",
  PV_Q1 = T, S_X2 = T)
}
\arguments{
\item{mirtModel}{insert estimated \code{mirt::mirt} or \code{mirt::mixedmirt} model.}

\item{RemoteClusters}{insert google computing engine virtual machine information.}

\item{rotate}{set the rotate critera if mirt model is exploratory model. default is bifactorQ}

\item{PV_Q1}{Do you want to get PV_Q1 (Chalmers & Ng, 2017) if can get it? default is TRUE.}

\item{S_X2}{Do you want to get S_X2 if can get it? default is TRUE.}
}
\value{
return item fit estimates
}
\description{
assessment of fit indices of the calibrated model
}
\examples{
\dontrun{
testModel1 <- engineAEFA(mirt::Science)
testItemFit1 <- evaluateItemFit(testModel1)
}
}
