% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kaefa.R
\name{recursiveFormula}
\alias{recursiveFormula}
\title{return Recursive Score into raw response scale or return the theta itself}
\usage{
recursiveFormula(mirtModel, mins = F, devide = F, rotate = NULL,
  individual = F, extractThetaOnly = F)
}
\arguments{
\item{mirtModel}{estimated aefa model}

\item{mins}{logical; include the minimum value constants in the dataset. If FALSE, the expected values for each item are determined from the scoring 0:(ncat-1)}

\item{devide}{logical; devide into the number of items. default is FALSE.}

\item{rotate}{rotation method. Default is NULL, kaefa will be automatically select the rotation criteria using aefa calibrated model.}

\item{individual}{logical; return tracelines for individual items?}

\item{extractThetaOnly}{logical; return the theta only without recursive score? if TRUE, theta will return.}
}
\value{
recursively expected test score
}
\description{
return Recursive Score into raw response scale or return the theta itself
}
\examples{
\dontrun{
testMod1 <- aefa(mirt::Science, minExtraction = 1, maxExtraction = 2)
aefaResults(testMod1)
recursiveScore <- recursiveFormula(testMod1)
}
}
